
// When the DOM loads, initialize the Javascript interface.
$(
	function(){
		// Create a new API instance.
		var objAPI = new KinkyTwits();
		
		// Bind window scrolling to the tweet form.
		$( window ).scroll(
			function( objEvent ){
				var jForm = $( "#status-form" );
				var intWindowScrollTop = $( this ).scrollTop();
				var intFormTop = parseInt( jForm.css( "top" ) );
				var intDefaultHeight = 52;
				
				// Check to see if we should start scrolling the tweet window.
				if (intWindowScrollTop > 160){
				
					// Move form to relative position.
					jForm.css( 
						"top", 
						((intDefaultHeight + (intWindowScrollTop - 185)) + "px") 
						);
						
					// Add gold border and bigger padding.
					jForm.css( 
						{
							"border-color": "#FFCC00",
							"padding": "30px 0px 20px 0px"					
						}
						);	
				
				} else {
				
					// Put form back to default.
					jForm.css( 
						{
							"top": (intDefaultHeight + "px"),
							"border-color": "#1B1B1B",
							"padding": "0px 0px 0px 0px"					
						}
						);
						
				}
			}
			);
	}
	);
