
<cfoutput>

	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html>
	<head>
		<title>KinkyTwits - Simple ColdFusion Twitter Client</title>
		
		<!-- Linked files. -->
		<link rel="stylesheet" type="text/css" href="./linked/content.css"></link>
		<link rel="stylesheet" type="text/css" href="./linked/meta_content.css"></link>
		<link rel="stylesheet" type="text/css" href="./linked/site.css"></link>
		<script type="text/javascript" src="./linked/jquery-1.2.6.min.js"></script>
		<script type="text/javascript" src="linked/jquery.dimensions.min.js"></script>
		<script type="text/javascript" src="./linked/kinkytwits.js"></script>
		<script type="text/javascript" src="./linked/scripts.js"></script>
	</head>
	<body>
	
		<!-- BEGIN: Site Wrapper. -->
		<div id="site-wrapper">
			
			<!-- BEGIN: Site Header. -->
			<div id="site-header">
				
				<img id="site-logo" src="images/site_logo.gif" width="252" height="46" alt="KinkyTwits" />
			
			</div>			
			<!-- END: Site Header. -->
		
		
			<!-- BEGIN: Site Content. -->
			<div id="site-content">
			
				
				<!-- BEGIN: Tweets Column. -->
				<div id="tweets-site-column">
				
					<h2>
						Tweets
					</h2>
					
					
					<form id="status-form">
					
						<input type="text" maxlength="140" class="status" />
						
						<button type="submit">
							Tweet
						</button>
						
						<br clear="all" />
						
						<div class="characters-remaining">
							Characters remaining: <span class="count">140</span>
						</div>
						
						<input type="text" class="url" />
						
						<button type="button" class="shorten">
							Shorten
						</button>
						
						<br clear="all" />
						
						<div class="shorten-url-note">
							Url crushing service: <a href="http://www.tinyurl.com" target="_blank">tinyurl.com</a>
						</div>
						
					</form>
					
					
					<!-- BEGIN: Status List Container. -->
					<div id="status-list-container">
					
						<!--- Here is where we will load the different status groups. --->
					
					</div>
					<!-- END: Status List Container. -->
				
				</div>
				<!-- END: Tweets Column. -->
				
			
				<!-- BEGIN: Groups Column. -->
				<div id="groups-site-column">
				
					<h2>
						Groups
					</h2>
				
				
					<!-- BEGIN: Groups List. -->
					<ul id="groups-list">
						<li id="general-group" class="group">
							<div class="header">
							
								<a href="##" rel="General" class="label">
									<span class="label-text">General Tweets</span>
									<span class="status-count">(0)</span>
								</a>
								
								<br clear="all" />
								<div class="clear-fix">
									<br />
								</div>
								
							</div>
						</li>
						<li id="replies-group" class="group">
							<div class="header">
							
								<a href="##" rel="Replies" class="label">
									<span class="label-text">Replies</span>
									<span class="status-count">(0)</span>
								</a>
								
								<br clear="all" />
								<div class="clear-fix">
									<br />
								</div>
								
							</div>
						</li>
						<li id="direct-group" class="group">
							<div class="header">
							
								<a href="##" rel="Direct" class="label">
									<span class="label-text">Direct</span>
									<span class="status-count">(0)</span>
								</a>
								
								<br clear="all" />
								<div class="clear-fix">
									<br />
								</div>
								
							</div>
						</li>
						<li id="snoozed-group" class="group">
							<div class="header">
							
								<a href="##" rel="Snoozed" class="label">
									<span class="label-text">Snoozed</span>
									<span class="status-count">(0)</span>
								</a>
								
								<br clear="all" />
								<div class="clear-fix">
									<br />
								</div>
								
							</div>
						</li>
						
						<!--- Custom groups will be added here. --->
						
					</ul>					
					<!-- END: Groups List. -->
					
					
					<!-- BEGIN: Add New Group. -->
					<div id="add-new-group">
				
						<div class="header">
						
							<a href="##" class="label">
								Add New Group
							</a>
								
						</div>
						
					</div>
					<!-- END: Add New Group. -->
					
				</div>
				<!-- END: Groups Column. -->
				
				
				<!-- Fix clear for columns. -->
				<br clear="all" />
				<div class="clear-fix">
					<br />
				</div>
			
			</div>			
			<!-- END: Site Content. -->
			
			
			<!-- BEGIN: Site Footer. -->
			<div id="site-footer">
			
				<p>
					KinkyTwits - A product of 
					<a href="http://www.bennadel.com" target="_blank">KinkySolutions</a> &copy; #Year( Now() )#
					All rights reserved.
				</p>
			
			</div>
			<!-- END: Site Footer. -->
					
		</div>	
		<!-- END: Site Wrapper. -->
		
		
		
		<!--- -------------------------------------------------------------------------------------------- --->
		<!--- DOM Element Templates ---------------------------------------------------------------------- --->
		<!--- -------------------------------------------------------------------------------------------- --->
		
		
		<!-- BEGIN: Element Templates. -->
		<div id="element-templates" style="display: none ;">
		
			<!-- Status list template. -->
			<ol class="status-list"></ol>
			
			
			<!-- Status template. -->
			<li class="status">
				<div class="member-photo">
					<img src="./images/no_member_photo.gif" width="48" height="48" alt="Member Photo" />
				</div>
				
				<div class="status-data">
					
					<p class="status-text"></p>
					
					<p class="status-author"></p>
					
					<p class="status-tools">
						<a href="##" class="reply">Reply</a> &nbsp;|&nbsp;
						<a href="##" class="direct">Direct</a> &nbsp;|&nbsp;
						<a href="##" class="snooze">Snooze</a>
					</p>																
					
				</div>
				
				<br clear="all" />
				<div class="clear-fix">
					<br />
				</div>
			</li>
			
			
			<!-- Group template. -->
			<li class="group">
				<div class="header">
				
					<a href="##" class="label">
						<span class="label-text"></span>
						<span class="status-count">(38)</span>
					</a>
					
					<p class="group-tools">
						<a href="##" class="edit">Edit</a> &nbsp;|&nbsp;
						<a href="##" class="delete">Delete</a>
					</p>
				
					<br clear="all" />
					<div class="clear-fix">
						<br />
					</div>
					
				</div>
			</li>
			
			
			
			<!-- Group form template. -->
			<form class="group-form" style="display: none ;">
			
				<!--- The group id. --->
				<input type="hidden" name="id" value="0" />
			
				<p>
					<label class="top">
						Label:
					</label>
					
					<input type="text" name="name" class="text" />
				</p>
				
				<p>
					<label>
						<input name="is_removed_from_general_tweets" type="checkbox" />
						Remove tweets from "General Stream"?
					</label>
				</p>
				
				<p>
					<label class="top">
						Include (One regex pattern per line):
					</label>
					
					<textarea name="include_patterns" class="text"></textarea>
				</p>
				
				<p>
					<label class="top">
						Exclude (One regex pattern per line):
					</label>
					
					<textarea name="exclude_patterns" class="text"></textarea>
				</p>
				
				<p class="buttons">
					<button type="submit" class="save">Save</button>
					<button type="button" class="cancel">Cancel</button>
				</p>
			
			</form>
									
		</div>
		<!-- END: Element Templates. -->
		
	</body>
	</html>
	
</cfoutput>
